repos:
-   repo: local
    hooks:
    -   id: clang-format
        name: clang-format
        entry: clang-format-12 -i --style=file
        language: system
        types_or: [c++, inc]
    -   id: copyright-year-checker
        name: copyright-year-checker
        entry: script/check_copyright_year.sh
        verbose: false
        language: script
        types: [c++]
